## org.eclipse.emf.compare.diff.merge.service
Class MergeFactory

    java.lang.Object
      org.eclipse.emf.compare.diff.merge.service.MergeFactory

    public final class MergeFactory

extends java.lang.Object

The merge factory allows the creation of a merger from any kind of `DiffElement`.

Method Summary
`static IMerger` `createMerger(DiffElement element)` Handles the creation of the merger for a given `DiffElement`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createMerger

    public static IMerger createMerger(DiffElement element)

  Handles the creation of the merger for a given `DiffElement`.

  Parameters:
    `element` - `DiffElement` for which we need a merger.
  Returns:
    The merger adapted to `element`, `null` if it cannot be instantiated.

Copyright 2006 IBM Corporation and others. All Rights Reserved.